import { ElementDefinitionsMap, FtLitElement } from "@fluid-topics/ft-wc-utils";
import { FtTextAreaProperties } from "./ft-text-area.properties";
declare const FtTextArea_base: import("@fluid-topics/ft-wc-utils").FtFormComponentType<typeof FtLitElement>;
export declare class FtTextArea extends FtTextArea_base implements FtTextAreaProperties {
    static elementDefinitions: ElementDefinitionsMap;
    static styles: import("lit").CSSResult[];
    label: string;
    value: string;
    helper: string;
    outlined: boolean;
    disabled: boolean;
    error: boolean;
    private height;
    private textarea?;
    private focused;
    protected render(): import("lit").TemplateResult<1>;
    setValue(value: string, sendEvents?: boolean): void;
    private onKeyDown;
    private updateValueFromInputField;
    private liveUpdateValueFromInputField;
    private onResize;
}
export {};
