A text area component.

## Install

```shell
npm install @fluid-topics/ft-text-area
yarn add @fluid-topics/ft-text-area
```

## Usage

```typescript
import {html} from "lit"
import "@fluid-topics/ft-text-area"

function render() {
    return html` 
            <ft-text-area label="Label"
                          value="Value"
                          @change=${(e: CustomEvent) => console.log("Value changed:", e.detail)}
                          @live-change=${(e: CustomEvent) => console.log("Value live changed:", e.detail)}
                          height="100">
            </ft-text-area>
           `
}
```
